<%-- 
    Document   : arduino
    Created on : 13.07.2011, 09:11:10
    Author     : caschoff
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>WebDuino</title>
    </head>
    <body>
        <h1>WebDuino</h1>
        <hr />
        <table>
            <caption>analog pins</caption>
            <tr>
                <td>pin 0 (light dependend resistor):</td>
                <td>${a0}</td>
            </tr>
            <tr>
                <td>pin 1 (potentiometer):</td>
                <td>${a1}</td>
            </tr>
        </table>
        <hr />
        <form action="">
            <table>
                <caption>digital pins</caption>
                <tr>
                    <td>pin 8 (red led):</td>
                    <td><input type="checkbox" name="d8" <c:if test="${digitalPins[8]}">checked="checked"</c:if> /></td>
                </tr>
                <tr>
                    <td>pin 9 (red led):</td>
                    <td><input type="checkbox" name="d9" <c:if test="${digitalPins[9]}">checked="checked"</c:if> /></td>
                </tr>
                <tr>
                    <td>pin 10 (yellow led):</td>
                    <td><input type="checkbox" name="d10" <c:if test="${digitalPins[10]}">checked="checked"</c:if> /></td>
                </tr>
                <tr>
                    <td>pin 11 (yellow led):</td>
                    <td><input type="checkbox" name="d11" <c:if test="${digitalPins[11]}">checked="checked"</c:if> /></td>
                </tr>
                <tr>
                    <td>pin 12 (green led):</th>
                    <td><input type="checkbox" name="d12" <c:if test="${digitalPins[12]}">checked="checked"</c:if> /></td>
                </tr>
                <tr>
                    <td>pin 13 (green led):</td>
                    <td><input type="checkbox" name="d13" <c:if test="${digitalPins[13]}">checked="checked"</c:if> /></td>
                </tr>
                <tr>
                    <td colspan="2"><input type="submit" /></td>
                </tr>
            </table>
        </form>
        <hr />
    </body>
</html>
